<div class="cover-table" *ngIf="schedules && schedules.length > 0"
  [perfectScrollbar]="{ suppressScrollY: true, suppressScrollX: false }">
  <ul class="list-title">
    <li *ngFor="let column of columns">
      <span class="title-list">{{column.label}}</span>
    </li>
  </ul>
  <ul class="list-content">
    <ng-container *ngFor="let item of schedules;">
      <li [ngClass]="{'show-time': item.ftH === 0}">
        <ul class="list-sub">
          <li>
            <span class="num-stage">{{item.stageFrom}} - {{item.stageTo}}</span>
          </li>
          <li>
            <span
              class="num-content"
              *ngIf="item.minOrStand !== 30 && item.minOrStand !==  60"
            >
              {{item.depthFrom | number}}
            </span>
            <div [ngClass]="['box-time', item.minOrStand === 30 || item.minOrStand === 60 ? 'box-time-show' :'']">
              <img src="/assets/images/icon-timer.svg" alt="image">
              <span class="text-time">in {{item.minOrStand === 30 ? 30 : 60}}m</span>
            </div>
            <!-- end/box time -->
          </li>
          <li>
            <span
              class="num-content"
              *ngIf="item.minOrStand !== 30 && item.minOrStand !==  60"
            >
              {{item.depthTo | number}}
            </span>
            <div [ngClass]="['box-time', item.minOrStand === 30 || item.minOrStand === 60 ? 'box-time-show' :'']">
              <img src="/assets/images/icon-timer.svg" alt="image">
              <span class="text-time">in {{item.minOrStand === 30 ? 30 : 60}}m</span>
            </div>
            <!-- end/box time -->
          </li>
          <li>
            <span
              class="num-content"
              *ngIf="item.minOrStand !== 30 && item.minOrStand !==  60"
            >
              {{item.minOrStand | number}}
            </span>
            <div [ngClass]="['box-time', item.minOrStand === 30 || item.minOrStand === 60 ? 'box-time-show' :'']">
              <img src="/assets/images/icon-timer.svg" alt="image">
              <span class="text-time">in {{item.minOrStand === 30 ? 30 : 60}}m</span>
            </div>
            <!-- end/box time -->
          </li>
          <li>
            <span
              class="num-content"
              *ngIf="item.minOrStand !== 30 && item.minOrStand !==  60"
            >
              {{item.ftH | number}}
            </span>
            <div [ngClass]="['box-time', item.minOrStand === 30 || item.minOrStand === 60 ? 'box-time-show' :'']">
              <img src="/assets/images/icon-timer.svg" alt="image">
              <span class="text-time">in {{item.minOrStand === 30 ? 30 : 60}}m</span>
            </div>
            <!-- end/box time -->
          </li>
          <li>
            <span
              class="num-content"
              *ngIf="item.minOrStand !== 30 && item.minOrStand !==  60"
            >
              {{item.stands | number}}
            </span>
            <div [ngClass]="['box-time', item.minOrStand === 30 || item.minOrStand === 60 ? 'box-time-show' :'']">
              <img src="/assets/images/icon-timer.svg" alt="image">
              <span class="text-time">in {{item.minOrStand === 30 ? 30 : 60}}m</span>
            </div>
            <!-- end/box time -->
          </li>
          <li>
            <span class="num-stage">{{item.time | number : '1.1-2'}}</span>
          </li>
        </ul>
        <!-- end/list sub -->
      </li>
    </ng-container>

  </ul>
  <div class="box-total">
    <span class="text-total">total trip time</span>
    <span class="num-total">{{totalTime | number : '1.1-2'}}</span>
  </div>
  <!-- end/box total -->
</div>
<!-- end/cover table -->